import {
  csv,
} from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/Chooo4u/datasets/WHR2018Chapter2OnlineData.csv')
  .then(loadedData => {
    data = loadedData;
    data.forEach(d => {
      d.country = +d.country;
      d.year = Date.parse(+d.year);
      d.lifeLadder = +d.lifeLadder;
      d.logGDPpercapita = +d.logGDPpercapita;
      d.socialSupport = +d.socialSupport;
      d.healthyLifeExpectancyAtBirth = +d.healthyLifeExpectancyAtBirth;
      d.freedomToMakeLifeChoices = +d.freedomToMakeLifeChoices;
      d.generosity = +d.generosity;
      d.perceptionsOfCorruption = +d.perceptionsOfCorruption;
      d.positiveAffect = +d.positiveAffect;
      d.negativeAffect = +d.negativeAffect;
      d.confidenceInNationalGovernment = +d.confidenceInNationalGovernment;
      d.democraticQuality = +d.democraticQuality;
      d.deliveryQuality = +d.deliveryQuality;
      d['Standard deviation of ladder by country-year'] = +d['Standard deviation of ladder by country-year'];
      d['Standard deviation/Mean of ladder by country-yea'] = +d['Standard deviation/Mean of ladder by country-yea'];
      d['GINI index (World Bank estimate)'] = +d['GINI index (World Bank estimate)'];
      d['GINI index (World Bank estimate), average 2000-15'] = +d['GINI index (World Bank estimate), average 2000-15'];
      d['gini of household income reported in Gallup, by wp5-year'] = +d['gini of household income reported in Gallup, by wp5-year'];
    });
   
     return data;
  });
